/* Exports from re1.c */

int compile_re(scheme_value sre, int sm_p, regex_t **cr);

scheme_value re_search(const regex_t *re, scheme_value str, int start,
		       scheme_value trans_vec, int max_psm,
		       scheme_value start_vec, scheme_value end_vec);

/* Filter a vector of strings by a regexp. */
int filter_stringvec(scheme_value re_str, char const **stringvec);

/* Error code -> error msg */
const char *re_errint2str(int errcode, const regex_t *re);

void free_re(regex_t *re);	/* Free the malloc'd regexp. */
